POST api/PointSystem/SendPointsFromAppInvitation
Request Information
URI Parameters
None.
Body Parameters
UserPointsFromAppInvitationDto| Name | Description | Type | Additional information |
|---|---|---|---|
| senderAccountId | integer |
None. |
|
| senderUserId | integer |
None. |
|
| recieverUserId | integer |
None. |
|
| points | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"senderAccountId": 1,
"senderUserId": 2,
"recieverUserId": 3,
"points": 4
}
text/plain, application/octet-stream
Sample:
{"senderAccountId":1,"senderUserId":2,"recieverUserId":3,"points":4}
application/xml, text/xml
Sample:
<UserPointsFromAppInvitationDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Interfaces"> <points>4</points> <recieverUserId>3</recieverUserId> <senderAccountId>1</senderAccountId> <senderUserId>2</senderUserId> </UserPointsFromAppInvitationDto>
multipart/form-data, application/form-data
Sample:
<UserPointsFromAppInvitationDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Interfaces"><points>4</points><recieverUserId>3</recieverUserId><senderAccountId>1</senderAccountId><senderUserId>2</senderUserId></UserPointsFromAppInvitationDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.